#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	uri_template
Summary:	Implementation of URI Template(RFC6570) specification for PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.0
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	652dbdb85da3c820f369526155355522
URL:		http://pecl.php.net/package/uri_template
%{?with_tests:BuildRequires:    %{php_name}-cli}
BuildRequires:	%{php_name}-devel >= 4:5.3.1
BuildRequires:	rpmbuild(macros) >= 1.686
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-uri_template < 1.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
URI Template PHP Extension implementation of RFC-6570.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%if %{with tests}
# simple module load test
%{__php} -n -q \
	-d extension_dir=modules \
	-d extension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log

export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
unset TZ LANG LC_ALL || :
%{__make} test \
	PHP_EXECUTABLE=%{__php}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-uri_template.git;a=log;h=auto/th/php-pecl-uri_template-1.0-4

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> c958f94
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 9aeed06
- php 5.5 rebuild
- release 3 (by relup.sh)

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> 1f68cac
- ensure php*-cli satisfies php binary

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 18ada91
- provide php(extname) to really be supporting multiple php versions

* Mon Nov 04 2013 Elan Ruusamäe <glen@delfi.ee> 52ed46b
- run tests

* Mon Nov 04 2013 Elan Ruusamäe <glen@delfi.ee> 566f827
- up to 1.0

* Sun Sep 01 2013 Elan Ruusamäe <glen@delfi.ee> 605b31e
- cleanups

* Sun Sep 01 2013 Elan Ruusamäe <glen@delfi.ee> 4a3fd69
- new, version 0.99.2

